#include <stdio.h>
#include <stdlib.h>
#include <string.h>



FILE *OpenJulian(void)
{
  FILE *fich;

  fich=popen("julian -input mic -C julian.jconf 2>&1","r");
  return fich;
}

int ProcessPhrase(char *in)
{
  while(in[0]==' ')	/* skip spaces */
    in++;
  printf("%s\n",in);	/* print the recognized phrase */
  return 0;
}



int ProcessJulian(FILE *fich)
{
  char buffer[4096],*puntini,*puntfin;

  fgets(buffer,sizeof(buffer),fich);
  while(!feof(fich)) {
    if(strncmp(buffer,"sentence",8)==0) {
      puntini=strstr(buffer,"<s>");		/* search begin of phrase */
      puntfin=strstr(buffer,"</s>");		/* search end of phrase */
      if(puntfin==NULL)
        puntfin=strchr(buffer,'\n');
      if(puntini!=NULL && puntfin!=NULL) {
        puntini+=3;				/* skip <s> */
	puntfin[0]=0;				/* put end of phrase */
        ProcessPhrase(puntini);			/* process the phrase */
      }
    }
    fgets(buffer,sizeof(buffer),fich);
  }
  return 0;
}


int CloseJulian(FILE *fich)
{
  return pclose(fich);
}


int main(void)
{
  FILE *fich;

  fich=OpenJulian();
  if(fich==NULL) {
    fprintf(stderr,"Error executing julian\n");
    return -1;
  }
  ProcessJulian(fich);
  CloseJulian(fich);
  return 0;
}

